Skip to navigation

Update Storefront Product Settings

Updates product settings.

  • Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only.

  • null should be supplied to delete overrides per given channel and to inherit values from global level. Partial updates are not supported and all settings should be supplied with null value in order to delete overrides per channel.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
show_product_pricebooleanOptional
Determines the visibility of the product price.
show_product_skubooleanOptional
Determines the visibility of the product SKU.
show_product_weightbooleanOptional

Determines the visibility of the productʼs weight.

show_product_brandbooleanOptional

Determines the visibility of the productʼs brand.

show_product_shippingbooleanOptional

Determines the visibility of the productʼs shipping option.

show_product_ratingbooleanOptional

Determines the visibility of the productʼs rating.

default_preorder_messagestringOptional

The productʼs pre-order message. If undefined, the message defaults to the storewide setting.

show_breadcrumbs_product_pagesenumOptional
Allowed values:
show_add_to_cart_qty_boxbooleanOptional
Determines the visibility of the Add to Cart quantity setting.
show_add_to_wishlistbooleanOptional
Determines the visibility of the Add to Wishlist setting.
hide_price_from_guestsbooleanOptional
Determines the visibility of the price.

Response

OK. null indicates that a particular field has not been overridden on a channel level when channel level settings are requested

dataobjectOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error